unit MainUnit;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Buttons, StdCtrls, base64;

type
  TfrmMain = class(TForm)
    edFileName: TEdit;
    btnEncode: TButton;
    btnDecode: TButton;
    btnOpen: TBitBtn;
    dlgOpen: TOpenDialog;
    procedure btnOpenClick(Sender: TObject);
    procedure btnEncodeClick(Sender: TObject);
    procedure Enc;
    procedure Dec;
    procedure btnDecodeClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmMain: TfrmMain;

implementation

{$R *.dfm}
procedure TfrmMain.Dec;
Const RMax = 255;
Var TmpStr: String;

begin
   TmpStr := DecodeBase64(edFileName.Text);
   edFileName.Text := TmpStr;
end;

procedure TfrmMain.Enc;
Var TmpStr: String;

begin
   TmpStr := EncodeBase64(edFileName.Text);
   edFileName.Text := TmpStr;

end;

procedure TfrmMain.btnOpenClick(Sender: TObject);
begin
   if (dlgOpen.Execute) Then edFileName.Text := dlgOpen.FileName;
end;

procedure TfrmMain.btnEncodeClick(Sender: TObject);
begin
   Enc;
end;

procedure TfrmMain.btnDecodeClick(Sender: TObject);
begin
   Dec;
end;

end.
